# Simulation autonomer Fahrzeuge
## Aufgaben

Es werden „Zumo 32U4 Robot“ der Firma „Pololu“ bereitgestellt. Diese verfügen über einen Antrieb, sowie eine Vielzahl von Sensoren. Die Programmierung erfolgt mithilfe der Arduino IDE. Mit diesen Roboterfahrzeugen sollen folgende Aufgaben realisiert werden: 

- Anpassen der Geschwindigkeit entsprechend der Fahrsituation, z.B. langsames Heranfahren an Hindernisse 
- Vor dem Abbiegen Geschwindigkeit reduzieren
- Automatischer gegenläufiger Fahrbetrieb auf einer mehrspurigen Straße mit angepasster Geschwindigkeit
- Anfertigung einer geeigneten Fahrstrecke mit Abbiegemöglichkeit
- Hindernisumfahrung mit Fahrspurwechsel und anschließendem Zurückwechseln auch bei Gegenverkehr
- Kommunikation zwischen den Fahrzeugen und eventuell einer zentralen Verwaltungsstelle via Bluetooth (HC-05)

## Über den Zumo 32U4

The Zumo 32U4 robot is a complete, versatile robot controlled by an Arduino-compatible ATmega32U4
microcontroller. When assembled, the low-profile tracked robot measures less than 10 cm on each side, making
it suitable for Mini-Sumo competitions. <br/>
At the heart of the Zumo 32U4 is an integrated ATmega32U4 AVR microcontroller from Atmel, along with dual
H-bridge drivers that power the robot’s motors. The robot also features a variety of sensors, including quadrature
encoders and inertial sensors (accelerometer and gyro) on the main board, along with reflectance and proximity
sensors on the front sensor array. On-board pushbuttons offer a convenient interface for user input, and an LCD,
buzzer, and indicator LEDs allow the robot to provide feedback. <br/>
(Quelle: "Pololu Zumo 32U4 Robot User's Guide", Pololu Corporation, 2015)

## Genutze Sensoren

- Abstandssensoren
- Liniensensoren
- Beschleunigungssensor
- Drehbewegungssensor